- name: Include basic templating
  ansible.builtin.include_tasks:
    file: basic_templating.yml
  when: 
    - demo is defined
    - demo == "basic"

- name: Include advanced templating
  ansible.builtin.include_tasks:
    file: advanced_templating.yml
  when:
    - demo is defined 
    - demo == "advanced"